Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class ResourceEnvRefMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.ResourceEnvRefMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class ResourceEnvRefMetaData
extends MetaData

The meta data information for a resource-env-ref element. The resource-env-ref element contains a declaration of an enterprise bean�s reference to an administered object associated with a resource in the enterprise bean�s environment. It consists of an optional description, the resource environment reference name, and an indication of the resource environment reference type expected by the enterprise bean code.

Used in: entity, message-driven and session

Example: jms/StockQueue javax.jms.Queue

Version:
  $Revision: 1.7 $
Author:
  Scott Stark.

Field Summary

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`ResourceEnvRefMetaData()`

Method Summary
`String` | `getJndiName()`
`String` | `getLink()`
`String` | `getRefName()`
`String` | `getType()`
`void` | `importEjbJarXml(Element element)` Parse the application-client|ejb-jar|web-app child element
`void` | `importJbossXml(Element element)` Parse the jboss child element

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEnvRefMetaData

    public ResourceEnvRefMetaData()

Method Detail

### getRefName

    public String getRefName()

### getJndiName

    public String getJndiName()

### getType

    public String getType()

### getLink

    public String getLink()

### importEjbJarXml

    public void importEjbJarXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Parse the application-client|ejb-jar|web-app child element

  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `element` - - the resource-env-ref or message-destination-ref element
  Throws:
    `org.jboss.deployment.DeploymentException`

### importJbossXml

    public void importJbossXml(Element element)
                        throws org.jboss.deployment.DeploymentException

  Parse the jboss child element

  Overrides:
    `importJbossXml` in class `MetaData`
  Parameters:
    `element` - - the resource-env-ref element
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.